## org.biojava.bio.seq.db
Class GenpeptSequenceDB

    java.lang.Object
      org.biojava.bio.seq.db.GenpeptSequenceDB

    public class GenpeptSequenceDB

extends java.lang.Object

Author:
  Lei Lai, Matthew Pocock, Shuvankar Mukherjee

Constructor Summary
`GenpeptSequenceDB()`

Method Summary
`boolean` `checkException()`
`boolean` `checkIOException()`
`protected java.net.URL` `getAddress(java.lang.String id)`
`protected java.net.URL` `getAddress(java.lang.String id, java.lang.String format)`
`protected Alphabet` `getAlphabet()`
`java.lang.String` `getName()`
`Sequence` `getSequence(java.lang.String id)`
`protected SequenceFormat` `getSequenceFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenpeptSequenceDB

    public GenpeptSequenceDB()

Method Detail

### getSequenceFormat

    protected SequenceFormat getSequenceFormat()

### getAlphabet

    protected Alphabet getAlphabet()

### getAddress

    protected java.net.URL getAddress(java.lang.String id)
                               throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### getAddress

    protected java.net.URL getAddress(java.lang.String id,
                                      java.lang.String format)
                               throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### getName

    public java.lang.String getName()

### getSequence

    public Sequence getSequence(java.lang.String id)
                         throws BioException

  Throws:
    `BioException`

### checkIOException

    public boolean checkIOException()

### checkException

    public boolean checkException()